> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar encargos do empréstimo ativo

> Retorna os encargos apurados de uma conta de empréstimo ativa. Um UUID malformado resulta em 422, distinto de 404.



## OpenAPI

````yaml pt/openapi/v3-current/lender.yaml get /api/v1/loan-accounts/{id}/charges
openapi: 3.1.0
info:
  contact:
    email: contact@lerian.studio
    name: Lerian Studio
    url: https://lerian.studio
  description: Superfície OpenAPI 3.1 code-first do serviço Lender.
  license:
    name: Lerian Studio General License
  title: Lender API
  version: 1.0.0
servers:
  - url: https://lender.sandbox.lerian.net
security:
  - BearerAuth: []
tags:
  - description: >-
      Operações de contabilidade do ledger: entradas de journal e lançamentos de
      accrual para contas de empréstimo.
    name: Accounting
  - description: >-
      Recepção e ciclo de vida da solicitação de empréstimo: submissão, decisão
      e status.
    name: LoanApplications
  - description: >-
      Catálogo de produtos de empréstimo: definição, versionamento e ativação de
      produtos de crédito.
    name: LoanProducts
  - description: >-
      Operações de servicing de contas de empréstimo: saldos, cronogramas e
      ações em nível de conta.
    name: Loan Accounts
  - description: >-
      Operações de leitura de servicing: cronogramas de pagamento e estado de
      servicing para contas de empréstimo.
    name: Servicings
  - description: >-
      Operações de leitura do painel de carteira: visões agregadas de carteira e
      de desempenho.
    name: Dashboard
  - description: >-
      Registro de jurisdições: perfis de jurisdição suportados e suas
      capacidades.
    name: Jurisdictions
  - description: >-
      Operações de solicitação de empréstimo específicas por jurisdição
      (superfície de originação do Brasil).
    name: Loan Applications
  - description: >-
      Operações de cálculo de impostos para crédito específico por jurisdição
      (por exemplo, IOF do Brasil).
    name: Tax
  - description: >-
      Operações de consignado privado do Brasil: originação de contrato
      (contratação ativa) e ciclo de vida.
    name: Consignado
paths:
  /api/v1/loan-accounts/{id}/charges:
    get:
      tags:
        - Loan Accounts
      summary: Listar encargos do empréstimo ativo
      description: >-
        Retorna os encargos apurados de uma conta de empréstimo ativa. Um UUID
        malformado resulta em 422, distinto de 404.
      operationId: listActiveLoanCharges
      parameters:
        - description: Loan account identifier (UUID).
          in: path
          name: id
          required: true
          schema:
            description: Loan account identifier (UUID).
            examples:
              - 550e8400-e29b-41d4-a716-446655440000
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActiveLoanChargesHumaBody'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: Error
components:
  schemas:
    ActiveLoanChargesHumaBody:
      additionalProperties: false
      properties:
        data:
          description: Assessed loan charges.
          items:
            $ref: '#/components/schemas/ActiveLoanChargeHumaBody'
          type:
            - array
            - 'null'
      required:
        - data
      type: object
    Detail:
      additionalProperties: false
      properties:
        code:
          description: >-
            Stable, machine-readable domain error code scoped to the emitting
            service (format: <SERVICE>-NNNN).
          examples:
            - ERR-0001
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ActiveLoanChargeHumaBody:
      additionalProperties: false
      properties:
        amount:
          description: Charge amount (2 d.p. string).
          examples:
            - '25.00'
          type: string
        assessedAt:
          description: RFC 3339 timestamp when the charge was assessed.
          examples:
            - '2026-06-14T12:00:00Z'
          type: string
        chargeId:
          description: Unique identifier of this assessed charge.
          examples:
            - 550e8400-e29b-41d4-a716-446655440020
          type: string
        chargeType:
          description: Type of charge (e.g. late_fee, origination_fee).
          examples:
            - late_fee
          type: string
        status:
          description: Charge status (e.g. assessed, waived).
          examples:
            - assessed
          type: string
      required:
        - chargeId
        - chargeType
        - amount
        - status
        - assessedAt
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      description: JWT bearer token issued by the identity provider.
      scheme: bearer
      type: http

````